import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function workerManagerListWorkerManagerCheck(data) {
  return request({
    url: `/workerManager/list/workerManagerCheck?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function workerManagerListWorkerManagerCheckExport(data, name) {
  return postBlob({
    url: '/workerManager/list/workerManagerCheck/export',
    data,
    name
  })
}

export function workerManagerListWorkerManagerCheckImport(data) {
  return handleImport('/workerManager/list/workerManagerCheck/import', data.formdata, data.id || '')
}
